{{!-- combatStats ac/hp/thaco/move/etc --}}

{{log "tab-combat.hbs" this}}

<div class="general-header">{{ localize 'ARS.matrix.matrixTitle' }}</div>

{{!-- matrix attack block --}}
{{!-- <div class="general-subheader">{{localize 'ARS.matrix.matrixTitle' }}</div> --}}
<div class="matrix-block flexrow">
    {{#if (or (eq @root.config.settings.systemVariant '0') (eq @root.config.settings.systemVariant '1'))}}
    {{#each actor.matrixSlice}}
    <div class="flexcol" {{#if (eq @index 10)}}style="background-color: red;color:white" {{/if}}>
        <div class="ac">{{math @index "-" 10}}</div>
        <div class="hit">{{this}}</div>
    </div>
    {{/each}}
    {{else}}
    {{#each actor.system.matrix as |matrix index|}}
    <div class="flexcol" {{#if (eq index 10)}}style="background-color: red;color:white" {{/if}}>
        <div class="ac">{{matrix.ac}}</div>
        <div class="hit">{{matrix.hit}}</div>
    </div>
    {{/each}}
    {{/if}}
    <div class="matrix-label flexcol">
        <div class="ac-label" data-tooltip="{{ localize 'ARS.matrix.targetactip' }}">
            {{ localize 'ARS.matrix.targetac' }}
        </div>
        <div class="roll-label" data-tooltip="{{ localize 'ARS.matrix.hitrolltip' }}">
            {{ localize 'ARS.matrix.hitroll' }}
        </div>
    </div>
</div>

{{!-- NPC special attack/defense --}}
{{#if (eq actor.type 'npc')}}
{{#if (or actor.system.specialAttacks actor.system.specialDefenses)}}
<div>
    <div class="general-subheader">
        {{localize 'ARS.specials' }}
    </div>
    <div class="container-border">
        {{#if actor.system.specialAttacks}}
        <div class="special-attacks-defenses">
            <b>{{localize 'ARS.specialAttacks'}}</b> {{actor.system.specialAttacks}}
        </div>
        {{/if}}
        {{#if actor.system.specialDefenses}}
        <div class="special-attacks-defenses">
            <b>{{localize 'ARS.specialDefenses'}}</b> {{#if actor.system.magicresist}}Magic
            Resist {{actor.system.magicresist}}{{#if actor.system.specialDefenses}}, {{/if}}{{/if}}
            {{actor.system.specialDefenses}}
        </div>
        {{/if}}
    </div>
</div>
{{/if}}
{{/if}}


{{!-- weapons --}}
{{#if actor.weapons}}
<div style="margin-bottom: 3px;" class="weapon-block info-helper-enabled" data-info-type="item">
    {{> "systems/ars/templates/actor/parts/weaponlist-block.hbs"}}
</div>
{{/if}}

{{!-- actions for self and all items --}}
<div style="margin-bottom: 3px;" class="actions-block-list info-helper-enabled" data-info-type="action">
    {{> "systems/ars/templates/actor/parts/actions-block-list.hbs" }}
</div>

{{!-- skills --}}
<div style="margin-bottom: 3px;" class="skill-block info-helper-enabled" data-info-type="skill">
    {{> "systems/ars/templates/actor/parts/skills-block.hbs"}}
</div>